1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Licence management error

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by EdwardDekker, Dec 15, 2011.

  1. EdwardDekker

    EdwardDekker Guest

    0
     
    When I clicking at the Licence management and renew the licence key at Plesk.
    Than I got a Blank page into Plesk.

    I have already looked at the PSA panel log, no errors can be found.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,564
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    What about sw-cp-server error log? What is version of Plesk? Do you have enabled firewall for 5224 port?
     
  3. EdwardDekker

    EdwardDekker Guest

    0
     
    Here the output of sw-cp-server log

    CentOS 5.7
    Plesk 10.4.4. Update 7


    Code:
    file: /usr/local/psa/admin/smb/application/library/Smb/Exception/Syntax.php
    line: 55
    code: 0
    trace: #0 /usr/local/psa/admin/plib/modules/fileserver/fileserver_locales.php(17): Smb_Exception_Syntax::handleError(2, 'require_once(mo...', '/usr/local/psa/...', 17, Array)
    #1 /usr/local/psa/admin/plib/modules/fileserver/fileserver_locales.php(17): fileserver_load_module_locale()
    #2 /usr/local/psa/admin/plib/modules/fileserver/fileserver_locales.php(27): fileserver_load_module_locale()
    #3 /usr/local/psa/admin/plib/modules/fileserver/fileserver_common.php(3): require_once('/usr/local/psa/...')
    #4 /usr/local/psa/admin/plib/modules/fileserver/FileServerStatus.php(2): require_once('/usr/local/psa/...')
    #5 /usr/local/psa/admin/plib/ExtendedServerInfo.php(1514): require_once('/usr/local/psa/...')
    #6 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2084): ExtendedServerInfo->getSamba()
    #7 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2193): ExtendedServerInfo->getAdditionalInfo()
    #8 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2207): ExtendedServerInfo->collect()
    #9 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2393): ExtendedServerInfo->get()
    #10 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2473): ServerInfo->getExtendedServerInfo()
    #11 /usr/local/psa/admin/plib/ExtendedServerInfo.php(2480): ServerInfo->collect()
    #12 /usr/local/psa/admin/plib/common_func.php3(4612): ServerInfo->get()
    #13 /usr/local/psa/admin/plib/common_func.php3(5105): getServerInfo()
    #14 /usr/local/psa/admin/plib/common_func.php3(5116): updateKeyAndNotifyByProduct(Resource id #53, 'plesk-unix', NULL)
    #15 /usr/local/psa/admin/htdocs/server/key_update.php(19): updateKeyAndNotify(Resource id #53)
    #16 {main}
    
    PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'modules/fileserver/locales/nl-NL/messages_nl-NL.php' (include_path='/usr/local/psa/admin/smb/application/library/:/usr/local/psa/admin/smb/application/externals/:/usr/local/psa/admin/plib:/usr/local/psa/admin/javascripts:/usr/local/psa/admin/plib/locales:/usr/local/psa/admin/auto_prepend:/usr/local/psa/admin/htdocs/domains/databases/phpMyAdmin:/usr/local/psa/admin/htdocs/domains/databases/phpPgAdmin:/usr/local/psa/admin/smb:/usr/local/psa/admin/smb/application/library:/usr/local/psa/admin/plib/pear:/usr/local/psa/admin/compat:/usr/local/sb/include:/usr/local/sb/include/PEAR') in /usr/local/psa/admin/plib/modules/fileserver/fileserver_locales.php on line 17
    
    I have already enabled the rule for port 5224 at the input of my firewall.
     
    Last edited by a moderator: Dec 16, 2011
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,564
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Did you try bootstrapper repair?
     
  5. EdwardDekker

    EdwardDekker Guest

    0
     
    Bootstrapper

    I didn't using Bootstrapper to repair Plesk.
    Yesterday do I only updated the Plesk Panel by command-line.

    Any advice will be appreciated.
     
    Last edited by a moderator: Dec 16, 2011
  6. EdwardDekker

    EdwardDekker Guest

    0
     
    Retry Bootstrapper

    I have tried bootstrapper, but no any changes for now.

    It looks like a bug into:
    $ /usr/local/psa/admin/smb/application/library/Smb/Exception/Syntax.php

     
  7. paulieG

    paulieG Regular Pleskian

    25
     
    Joined:
    Mar 5, 2009
    Messages:
    164
    Likes Received:
    0
    Location:
    Lancaster
    Its complaining about your locale file, if you switch the locale back to US does it work then?

    Paul.
     
  8. EdwardDekker

    EdwardDekker Guest

    0
     
    Yes, the Dutch language file are playing with my licence key. I don't know why, but now the licence key looks good into en-US.
     
  9. EdwardDekker

    EdwardDekker Guest

    0
     
    Test my Licence key

    Today have I tested my licence key, but is seems a little bit weird.
    I have a valid key installed into Plesk, but the key info displays something else that it is not suiteble for this version.

    Yesterday have I also received the licence key for Kapersky AV, but the licence says that it will protecting 5 mailboxes only?.
    One promise of Parallels is that it will support Kapersky AV for free.
    Also do I guess that the licence will give me a free subscription of all of my mailboxes.
    Or do I see something out of the box.


    For this case have is set the default language to en-US:
    Code:
    [root@server]# /usr/local/psa/bin/keyinfo --test-key
    PHP Warning: file_get_contents(): Filename cannot be empty; File: /usr/local/psa/admin/plib/api-common/cuKeyInfo.php, Line: 126
    
    Exception: PHP Warning: file_get_contents(): Filename cannot be empty; File: /usr/local/psa/admin/plib/api-common/cuKeyInfo.php, Line: 126
    
    file: /usr/local/psa/admin/smb/application/library/Smb/Exception/Syntax.php
    line: 55
    code: 0
    trace: #0 [internal function]: Smb_Exception_Syntax::handleError(2, 'file_get_conten...', '/usr/local/psa/...', 126, Array)
    #1 /usr/local/psa/admin/plib/api-common/cuKeyInfo.php(126): file_get_contents('')
    #2 /usr/local/psa/admin/plib/api-common/cuKeyInfo.php(77): cuKeyInfo->cmdTestKey('')
    #3 /usr/local/psa/admin/plib/api-common/AbstractCuExecutor.php(26): cuKeyInfo->execute()
    #4 /usr/local/psa/admin/plib/api-common/CuExecutor.php(29): AbstractCuExecutor->_execUtil('cuKeyInfo', 'execute')
    #5 /usr/local/psa/admin/plib/api-cli/CliUtilityRunner.php(18): CuExecutor->run()
    #6 /usr/local/psa/admin/plib/api-cli/CliUtilityRunner.php(43): CliUtilityRunner->run()
    #7 /usr/local/psa/admin/plib/api-cli/keyinfo.php(4): require_once('/usr/local/psa/...')
    #8 {main}
    
    The key is not suitable for current Plesk version
    
    Again the error tells the same into previous posts @ $ /usr/local/psa/admin/smb/application/library/Smb/Exception/Syntax.php
     
    Last edited by a moderator: Dec 17, 2011
Loading...